Subject: CTIUG screwed

From: [email-masked]
Date: 23 Sep 2014 21:30:46 -0700

Well, we have been screwed again, this time by or bank, First/Third.  Irv Levinson, our treasurer died recently, so I had to take over our bank account, or so I thought.  When I opened the latest bank statement I discovered that the bank had been taking $11 out each month, as service charge.  We only had a couple of hundred dollars in the account, from dues, and donations at the Faire.  When I went to the local branch today, I was told we had only $15.70 left in the account.  On top of that, they wouldn't even let me have that money, and wouldn't close the account.  They must be really hard up for funds!  I would suggest that if they are that short of cash, you would be advised to pull your money out before they shut up shop and absquatulate with your savings.  The esurient bankers of this country are bleeding us dry, nickle by dime.  First/Third Bank sucks!  --Hal